Subject: Re: linux-next: manual merge of the drm-tegra tree with the drm tree

From: Thierry Reding <[email-masked]>
Date: Tue, 21 Mar 2017 15:10:31 +0100

On Tue, Mar 21, 2017 at 11:45:45AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the drm-tegra tree got a conflict in:
> 
>   drivers/gpu/drm/tegra/drm.c
> 
> between commit:
> 
>   10437d9b475e ("drm: tegra: use vblank hooks in struct drm_crtc_funcs")
> 
> from the drm tree and commit:
> 
>   3f2ea8cee24f ("drm/tegra: Don't leak kernel pointer to userspace")
> 
> from the drm-tegra tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Stephen,

your resolution looks good to me.

Dave,

the conflict is fairly trivial to resolve, but if you prefer I can
rebase the Tegra tree onto your -next to avoid it.

Thierry